Package writer2latex.office

# Class PropertySet

java.lang.Object
writer2latex.office.PropertySet

public class PropertySet extends Object

Class representing a set of style properties in OOo (actually this is simply the set of attributes of an element).

## Constructor Summary

Constructors
Constructor
Description
`PropertySet()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsProperty(String sProperty)`
`String`
`getName()`
`String`
`getProperty(String sPropName)`
`int`
`getSize()`
`void`
`loadFromDOM(Node node)`
`void`
`setProperty(String sProperty, String sValue)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertySet

public PropertySet()

## Method Details

### getSize

public int getSize()

### getProperty

public String getProperty(String sPropName)

### getName

public String getName()

### loadFromDOM

public void loadFromDOM(Node node)

### containsProperty

public boolean containsProperty(String sProperty)

### setProperty

public void setProperty(String sProperty, String sValue)

### toString

public String toString()

Overrides:
  `toString` in class `Object`